PDA

View Full Version : Succesful Foundation upgrade from 4.0 to 4.2?


Nonproductive
12-01-2004, 12:25 AM
For the life of me I can't get it running... I get a "there is no interactive license available to run XSI" message.

4.0 was running just fine and I installed 4.2 to a diff directory. Then, thinking maybe the fact that I had 4.0 still installed may have been the issue I uninstalled 4 and 4.2 and then reinstalled 4.2. Same message...

I'm stumped.

Ziah
12-01-2004, 12:28 AM
same here lol i just posted some queries?

Im wondering if it requires a different key or something i took the route of upgrading the spm server and still nothing

Ziah
12-01-2004, 12:38 AM
uhh help :sad:

Ziah
12-01-2004, 02:11 AM
k i found the problem it has to do with the spm host

When setting this up how do i go about it if i can remember the port i put in for xsi 4?

Signal2Noise
12-01-2004, 02:32 AM
There is a Setup & Licensing Guide for 4.2 on the Documentations link in the Downloads section. I'm downloading everything now so am not sure what kind of troubles, if any, I'll face yet. Fingers crossed.

Ziah
12-01-2004, 02:37 AM
that setup is the same as the old one i took a look at it

i know my problem just don't know how to fix it waiting for one of the superstars of this forum to come to my rescue

please help:blush:

JDex
12-01-2004, 02:44 AM
SUPERSTAR!!! j/k

Are you guys having problems w/ Foundation?

All I did was install, open the new app and enter my registration key... was completely painless... of course there's no SPM in foundations... if it's an Ess or Adv problem... well I'll cross my fingers for ya.

Nonproductive
12-01-2004, 02:53 AM
This is foundations for me with the problem.

I've tried 18 different things (cleaning out the registry, disable anti virus, uninstalls, clean installs, reboots, no reboots, etc...) all with the same error. I reinstalled 4.0 with absolutely no issues which is leading me to believe that either a) something changed with the 4.2 FND licensing or b) the installer is missing something.

For what it's worth - running XP Home, SP1 with McAffee Anti Virus

Ziah
12-01-2004, 02:54 AM
mines is ess adv

itsn the initial spm host its not point to the write one. I can't type in the name of the old port cuase i don't think i ever typed one im lost

to be more specific im on page 45

JDex
12-01-2004, 02:55 AM
I guess you'll have to email SI and get them on it. I can't even begin to imagine what the problem can be though.

davemcd
12-01-2004, 03:40 AM
Mine installed fine apart from having a preference migration error. I just installed it and entered my registration key and away I went... thats all I had to do. Maybe if you've had other eval versions or something installed it may do something wierd with the licencing.

I was also under the misapprehension that the Character Development Kit was all the advanced rigs and guides stuff but the character button is still greyed out so i must be wrong. Considiering locking this off was moot because there are scripts already that let you use the build rig from guide feature I though softimage would have unlocked it and appeared generous and giving... oh well marketting moment missed I guess.

DaveMcD

wmendez
12-01-2004, 03:43 AM
Ziah,

Open a Softimage command prompt and type set spm does it show the name of your spm server or your computers hostname?

If so confirm that is the host name in the setenv.bat file (program files >Softimage Products>Softimage 4.2>User Tools>edit setenv.bat

scroll to the line that reads

rem License servers specified from the setup
set _SPM_HOST=TagTeam
if "%SPM_HOST%"=="" goto EmptySpmHost
if "%_SPM_HOST%"=="" goto Done_SPM_HOST
set SPM_HOST=%_SPM_HOST%;%SPM_HOST%
goto Done_SPM_HOST

as you see my hostname is TagTeam, you should enter your hostname or SPM server there. Last but not least make sure the server is running :)

batzilla
12-01-2004, 03:50 AM
DaveMCD


Under the primitive>model> theres *rig from biped guide*

Is this what you're talking about? It works.

I'm new at XSI so I may not understand what you're talking about.

I do see that the character button is grayed out. Are they the same?

Hopefully that helps

davemcd
12-01-2004, 04:03 AM
Ah... forget i spoke. Ok i didnt notice those sitting there and they definitely are a change since 4.0.

Hmmm so whats under the greyed out character button then still, cos in all the vids that's where the rig from biped guide normally sits.

DaveMcD

Ziah
12-01-2004, 04:10 AM
wmendez

thanx your well rounded


k sorry again guys now behavior isn't going for it same problem with he spm host

CraigT
12-01-2004, 05:07 AM
Mine installed OK except for also getting the migration error, so all scripts, etc. will have to be manually added(not many in my case). I do like the way that Avid listed the bug fixes, etc. in the update in the download area- not every company will do that. I was also curious in how updates would be handled for us Foundation users- I'm very pleased and I venture a guess that those of you with the more advanced versions may even be moreso. . :-)

Craig

RayenD
12-01-2004, 06:54 AM
Install XSI and licence it properly (this is important)
Open commant prompt
type xsi -migrate C:\users\rayend\XSI_4.0_Foundation -overwrite, substitute my path for a path pointing for your old preferences directory
XSI will import your old preferences.

Nonproductive
12-01-2004, 10:37 AM
So far no luck for me... I've gotten a response from Softimage Support though and they are looking into it.

Ziah and I seem to have different issues as I am using foudantion without SPM (just a reg code)

Off to work for the day. Hopefully will be able to get it running tonight.

revert
12-01-2004, 02:25 PM
How does this work RayenD? XSI is not a command so when you open a command prompt you need to browse to a particular folder first? Then i'm guessing xsi must be a file? Thanks.

Install XSI and licence it properly (this is important)
Open commant prompt
type xsi -migrate C:\users\rayend\XSI_4.0_Foundation -overwrite, substitute my path for a path pointing for your old preferences directory
XSI will import your old preferences.

Ziah
12-01-2004, 04:17 PM
sorry to hear that nooproductive


So far 4.2 is up and running i cannot open up any of my older projects for ssome reason everytime i do i keeps crashing

lastly behavior won't work and i can't find the link for aleinbrain download
Try to email support today if i get sometime hopefully

CraigT
12-01-2004, 05:14 PM
So far my old projects are loading(only had a few anyway :-)). I was able to get the migrate to work, thanks to RayenD's info, but it was a little tricky. First off, you need to locate all the user preference info for the new 4.2 version(C:\users\rayend\XSI_4.2_Foundation for example). You will find folders "Data", "Datamanagement", "Application" and "temp" that the install created- move these to a safe location as a backup. You could also do a search for these to find the folders. The migration will fail if these are present, which is why the update probably failed the migration. Using the "-overwrite" option would probably also allow the update to work but I wanted to keep the originals in case something went amiss so I just moved them. You then need to fire up the XP(or W2K) Command Prompt app. and change to the "XSI_4.2_Foundation\Application\bin" directory. You can then type "xsi -migrate C:\users\rayend\XSI_4.0_Foundation" (as given in the previous post) and you should see a lot of activity in the Command Prompt window with a mention of the migration being successful at the end. The "XSI_4.0_Foundation" folder is probably on a similar path as your new install's location but will likely have additional folders(which get migrated). Whew! It really is simpler than it sounds but I wanted to give a lot of detail to hopefully avoid confusion(hope I didn't add more! :-)). The main thing is just finding the correct location to run the xsi -migrate command from and the locations of your preference and addon folders. So far my plugins,etc. that were originally installed are working in the new version so the manual migration did work.

Craig

pixel mixer
12-01-2004, 05:44 PM
no problems here so far with 4.2. but i just installed the operating system and 4.2 only. works like a charm with no hickups.

Ziah
12-01-2004, 06:13 PM
4.2 is running fine just can't load scenes i created in version 4


do you think it has anything to do with me not migrating preferences maybe?
and for the migration why din't you guys just click the option for it? or even when you first boot up it ask for such again ???

lastly anyone know off a way to tell behavior where to point for the spm host serv

maybe command promt langauge??

trying to get this info now . Im in class and by the time i get out it will be to late to try xsi support and customer service specailly being on the west coast and all :/

CraigT
12-01-2004, 07:04 PM
In my case, using Foundation, I did check the option to have it migrate the old settings but it came up with an error message saying it failed. It never gave any more opportunities to migrate after that. Probably the same thing is happening to others.

Craig

revert
12-01-2004, 07:45 PM
I dont think it's because you didnt migrate your preferences. Mine failed too but i can still open 4.0 scene files in 4.2. Other than that i don't know.

I'm looking for the answer to for Behaviour. I can't get it licenced neither.

Ziah
12-01-2004, 10:34 PM
let us know what you find revert

DimitrisLiatsos
12-01-2004, 10:50 PM
Sorry for a maybe silly question..but i clicked to download 4.2 from XSI site it opened a form like i was downloading a trial version for 30 days..is this normal?
:shrug:

EDIT: don't mind me ...just been answered by JDex...thanks man ...most helpfull :)


..and just for those with the same silly question as me ... the answer is YES.

revert
12-01-2004, 11:16 PM
From what i understand you just download the trial and then authorize it with your orignal serials from 4.0.

wmendez
12-02-2004, 02:23 AM
lastly anyone know off a way to tell behavior where to point for the spm host serv maybe command promt langauge??
/
/Softiamge/Behavior/Application/bin/bvrbe.cfg and bvrbatch.cfg

Scroll down and find the following

section "SPM"
"NumServers" (all) =(integer) 1
"tagteam" (all) =(text) "tagteam"

Replace tagteam with your hostname/spmserver name

wmendez
12-02-2004, 02:27 AM
i can't find the link for aleinbrain download

The AlienBrain Layouts are located in Application >Layouts and will only be usefull to you if you can connect to an AlienBrain server.

T4D
12-02-2004, 07:19 AM
keep your XSI Foundation 4.0 because they killed the work around scripts in 4.2 so you can't uses the auto character rigger anymore :sad:

davemcd
12-02-2004, 07:28 AM
well you can rig from biped guide and rig from quadruped guide, standard in foundations now. Go to Get\primitive\model\ and under here you will find te biped guides and the options to make them.

So unless it was some other scripts you were referring to I think everything you need is in there.

Some other bright spark had to point this out to me as well :)

DaveMcD

T4D
12-02-2004, 07:34 AM
it is a different rig that it makes
the XSi Fnd 4.0 has more options

davemcd
12-02-2004, 07:46 AM
not sure i never ran the 4.0 script. I'll Give it a try later on and let you know... Its almost time to go home here for me.

DaveMcD

Rabid pitbull
12-02-2004, 02:44 PM
it is a different rig that it makes
the XSi Fnd 4.0 has more options
I haven't updated yet and may not, since that script unlocks a very powerful rig, not interested in going back to a weaker version. What exactly is missing?? I guess it is the soft body sections and shoulder compensations. Maybe we will get an updated script from J_j.

Rabid pitbull
12-02-2004, 07:46 PM
Install XSI and licence it properly (this is important)
Open commant prompt
type xsi -migrate C:\users\rayend\XSI_4.0_Foundation -overwrite, substitute my path for a path pointing for your old preferences directory
XSI will import your old preferences.

Excellent tip works perfectly!


As far as the guide rigs go, seems to be working with old scripts or the new menu entry. What am I missing they seem to be the same, with a few more options possibly. :shrug:


edit- It seems like the belly function is unavailable, but all else seems the same. I am sure that it could be added manually, but still would be nice if it worked like in 4.0 with the script.

Micro26
12-02-2004, 11:52 PM
sORRY if this is a silly question but i upgraded from 4f to 4.2f in a dif directory and it works fine.The only problem is the fxtree fxviewer and the composite layout general disapeared :drool:
Am i doing something wrong? :eek: :banghead:

suppjj
12-03-2004, 01:12 AM
I made some new scripts that are not as friendly as the last ones but they work (even Belly). These scripts assume that XSI FND is installed in the default C:\ location, if you installed some place else modify the scripts to point to the Biped_Guide.emdl, Biped_DogLeg_Guide.emdl, and Quadruped_Guide.emdl not the PropBiped_Guide.emdl, Quadruped_PropGuide that loads from the Get>menu or just import the model from the file menu.
I am not much of a scripter so most of this was drag and drop from the script editor so the code might be ugly. Make sure your set to VBScript Language in your Script editor before running.
After you can create a toolbar by dragging and drop the code into a new Custom toolbar to get nice little buttons like so. Good luck and happy rigging
J_j

http://jnorombaba.com/dl_files/XSI/Scripts42.zip

http://jnorombaba.com/dl_files/XSI/Guides.jpg

Rabid pitbull
12-03-2004, 03:45 AM
:thumbsup: Thanks again J_j will now give this script a try!

oops typing too fast made error....

Rabid pitbull
12-03-2004, 04:59 AM
Works great, thank you for taking the time J_j! I didn't notice at first but there really are big differences between these rigs from the new ones in 4.2. Alot more control especially in the quad. I dint't even notice the absence the biped dogleg at first, so this is really a nice addition.

Again, thank-you,

James

Nonproductive
12-04-2004, 03:38 PM
Just to close this out as it started -

Through the help of Softimage support I Was able to get 4.2 up and running. For some reason the installer was not picking up my 4.0 key and creating the 4.2 registry entries for it. With a little manual intervention on the part of RegEdit I am now happily exploring all 4.2 has to offer. :)

3DDave
12-04-2004, 11:13 PM
Can you post the regedit details for others?

Nonproductive
12-05-2004, 02:39 PM
Here's the email response I got (which fixed the problem):



***********************************
copy their 4.0 FDN key into 4.2 and everthing should be okay

In:
HKEY_LOCAL_MACHINE\SOFTWARE\Softimage\SOFTIMAGE Application\C:|Softimage|XSI_4.0_Foundation|Application|bin\ProductInfo
they should notice their Key and Email string entries. Now recreate these strings with the same value in the folling folder

HKEY_LOCAL_MACHINE\SOFTWARE\Softimage\SOFTIMAGE Application\C:|Softimage|XSI_4.2_Foundation|Application|bin\ProductInfo

there you go ... xsi 4.2 foundation should start up.
***********************************

Martin_G_3D
12-07-2004, 07:30 AM
Help me I got the same problem, keep getting that same error;

Error: there is no interactive license available to run XSI

And I can't do above solution as I removed all registery keys related to 4.0 :(

I have tried uninstalling and reinstalling, cleaning up registery etc and no luck

And the most odd thing is is that I was able to run 4.2 fine until it crashed and after that i get this error

I was doing the trial btw so i have no license key

please help, i want to use xsi again asap, havent been able to use it for 3 days now :(

and to top my bad luck, i removed the 4.0 installer file so I can't go back to 4.0 as its not available on softimage site anymore either

Desmo
12-07-2004, 08:35 PM
I get the same thing Martin. All I do is pull out the power cable for my cable modem wait for five secs then start XSI and it works. Once it's going I put the power cable back in and it goes fine...though if it crashes I have to do it all over again.

Martin_G_3D
12-08-2004, 11:42 PM
There will most likely be a fix available for public soon (i beta tested the fix and it solved my problem)

Tocpe
12-10-2004, 03:18 PM
Mine installed fine apart from having a preference migration error. I just installed it and entered my registration key and away I went... thats all I had to do. Maybe if you've had other eval versions or something installed it may do something wierd with the licencing.

Yeah I got that too, but it seems to be running fine other than that. Luckily I didn't really have it too customized so it's no biggie.

cresshead
12-20-2004, 03:39 AM
well i get an invalid serial number when i enter my VALID serial number from foundation 4.0 into 4.2..........



also until then what is the email address for getting a new serial number that WILL work for foundation 4.2?

....ahh found it!

mailto:licensing@softimage.com (licensing@softimage.com)

Felipe
09-23-2005, 12:14 PM
Hey guys,

I had to do a fresh install of XSI and now Im getting the error mentioned above.

Error: There is no interactive license available to run XSI

How did you fix this problem ??...I couldn't find the solution anywhere.
Im running windows XP HE SP2 and XSI4.2 FND

The whole story is here...

http://www.xsibase.com/forum/index.php?board=9;action=display;threadid=17779;start=6

Please help !!

Thanks,

Felipe

Sil3
09-23-2005, 02:19 PM
I had the same problem a couple months ago when i formated my HD, go to Softimage website and re-download XSI 4.2, it has a fix for that, the old (first available XSI 4.2) is the one that says that error.

Felipe
09-24-2005, 01:13 AM
You're right Sil3, thx very much !


Well, I'm finally up and running again.

1) To get over that licence error I had to download XSI4.2 again from Softimage site. As sil3 mentioned, there is an error in the first release of the 4.2 upgrade. Funny that I also formatted my HD 3 months ago and I was able to install XSI without any problems that time. Anyway, with the current version I was back where I was...XSI crashing on start up

2) I uninstalled itunes 5 AND quick time 7.0.2 (must be both) and XSI start up with no problems. Then I reinstalled quick time 6.5.2 and everything is working fine.

I'm wondering if anyone is having problems with QT7 and Itunes5 with XSI. On my desktop I have them installed with XSI and they are working fine together, but I'm on Windows 2000.

Do you guys have itunes5/QT7 and XSI running on Windows XP SP2 ? Just out of curiosity...

Thx again,

Felipe

CraigT
09-24-2005, 06:07 AM
I never got to the point of trying XSI after installing QT7 but as soon as I tried Digital Fusion, it would quit loading. I uninstalled QT7, reinstalled QT6 and all was well again. I wouldn't doubt that the problems are related.

thorn3d
09-24-2005, 05:08 PM
CRAIG!!

Wow, long time no see :)

thorn

CraigT
09-25-2005, 06:14 AM
Hey there thorn- it's been a looong time since we were using the same app. :-) I've always wanted XSI but couldn't justify the cost(especially after getting MAYA). No way could I resist Foundation though- deal of the century. :-) I've been mostly editing so 3D has lately been more of a hobby that pays for itself and then some but that's cool- no pressure. :-) Take care.

Craig

CGTalk Moderation
09-25-2005, 06:14 AM
This thread has been automatically closed as it remained inactive for 12 months. If you wish to continue the discussion, please create a new thread in the appropriate forum.